List orders
curl --request GET \
--url https://api.pro.xentfi.com/v1/orderbook/orders \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.pro.xentfi.com/v1/orderbook/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pro.xentfi.com/v1/orderbook/orders"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pro.xentfi.com/v1/orderbook/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.pro.xentfi.com/v1/orderbook/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"organisationId": "<string>",
"appId": "<string>",
"marketId": "<string>",
"walletId": "<string>",
"clientOrderId": "<string>",
"side": "BUY",
"type": "LIMIT",
"timeInForce": "GTC",
"price": "<string>",
"quantity": "<string>",
"filledQuantity": "<string>",
"reservedBalance": "<string>",
"status": "PENDING_RISK",
"rejectReason": "<string>",
"sequence": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 123,
"limit": 123,
"offset": 123
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}OrderBook
List orders
GET
/
v1
/
orderbook
/
orders
List orders
curl --request GET \
--url https://api.pro.xentfi.com/v1/orderbook/orders \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.pro.xentfi.com/v1/orderbook/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pro.xentfi.com/v1/orderbook/orders"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pro.xentfi.com/v1/orderbook/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.pro.xentfi.com/v1/orderbook/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"organisationId": "<string>",
"appId": "<string>",
"marketId": "<string>",
"walletId": "<string>",
"clientOrderId": "<string>",
"side": "BUY",
"type": "LIMIT",
"timeInForce": "GTC",
"price": "<string>",
"quantity": "<string>",
"filledQuantity": "<string>",
"reservedBalance": "<string>",
"status": "PENDING_RISK",
"rejectReason": "<string>",
"sequence": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 123,
"limit": 123,
"offset": 123
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Query Parameters
Available options:
PENDING_RISK, OPEN, PARTIALLY_FILLED, FILLED, CANCELLED, REJECTED ⌘I

